Page MenuHomePhabricator

Finish merging modules into wikibase.ui.entityViewInit
Closed, ResolvedPublic

Description

This is current ones that (probably) can be merged:

This blocks merging more stuff (T233792: Merge dependencies into jquery.view.ViewFactory)

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterHorizontal merge of "bad value" modules of jquery.valueview
mediawiki/extensions/Wikibase : masterMerge wikibase.ValueFormatterFactory into entityViewInit
mediawiki/extensions/Wikibase : masterHorizontal merge of wb.api.(Format|Parse)ValueCaller
mediawiki/extensions/Wikibase : masterMerge ToolbarFactory to entityViewInit

Event Timeline

Ladsgroup created this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 11 2019, 11:02 AM

Change 542634 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Merge ToolbarFactory to entityViewInit

https://gerrit.wikimedia.org/r/542634

Change 542634 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Merge ToolbarFactory to entityViewInit

https://gerrit.wikimedia.org/r/542634

Change 543480 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Horizontal merge of wb.api.(Format|Parse)ValueCaller

https://gerrit.wikimedia.org/r/543480

Change 543480 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Horizontal merge of wb.api.(Format|Parse)ValueCaller

https://gerrit.wikimedia.org/r/543480

Change 543486 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Finish merging dependencies into entityViewInit

https://gerrit.wikimedia.org/r/543486

Change 543486 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Merge wikibase.ValueFormatterFactory into entityViewInit

https://gerrit.wikimedia.org/r/543486

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Oct 17 2019, 2:39 PM

I looked at everything that's remain and nothing can be merged now.

Change 544862 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Horizontal merge of "bad value" modules of jquery.valueview

https://gerrit.wikimedia.org/r/544862

Change 544862 abandoned by Ladsgroup:
Horizontal merge of "bad value" modules of jquery.valueview

Reason:
Not now :(

https://gerrit.wikimedia.org/r/544862

Ladsgroup closed this task as Resolved.Oct 23 2019, 10:56 AM